<?xml version="1.0" encoding="UTF-8"?>
<web-app id="WebApp_ID" version="2.4"
	xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd">
	<display-name>academicNet</display-name>


	<servlet>
		<description></description>
		<display-name>LoginServlet</display-name>
		<servlet-name>LoginServlet</servlet-name>
		<servlet-class>servlets.LoginServlet</servlet-class>
	</servlet>
	<servlet>
		<description></description>
		<display-name>LogoutServlet</display-name>
		<servlet-name>LogoutServlet</servlet-name>
		<servlet-class>servlets.LogoutServlet</servlet-class>
	</servlet>

	<servlet>
		<servlet-name>EmentaServlet</servlet-name>
		<servlet-class>servlets.EmentaServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>

	<servlet>
		<description></description>
		<display-name>AlunopServlet</display-name>
		<servlet-name>AlunoServlet</servlet-name>
		<servlet-class>servlets.AlunoServlet</servlet-class>
	</servlet>
	<servlet>
		<description></description>
		<display-name>Command</display-name>
		<servlet-name>Command</servlet-name>
		<servlet-class>servlets.Command</servlet-class>
	</servlet>

	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>/WEB-INF/applicationContext.xml</param-value>
	</context-param>

	<servlet>
		<servlet-name>context</servlet-name>
		<servlet-class>org.springframework.web.context.ContextLoaderServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>

	<!--
		<listener>
		<listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
		</listener>
	-->

	<servlet-mapping>
		<servlet-name>LoginServlet</servlet-name>
		<url-pattern>/login</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>LogoutServlet</servlet-name>
		<url-pattern>/logout</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>AlunoServlet</servlet-name>
		<url-pattern>/alunoserv</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>Command</servlet-name>
		<url-pattern>/Command</url-pattern>
	</servlet-mapping>

	<servlet-mapping>
		<servlet-name>EmentaServlet</servlet-name>
		<url-pattern>/ementaserv</url-pattern>
	</servlet-mapping>


	<welcome-file-list>
		<welcome-file>index.html</welcome-file>
		<welcome-file>index.htm</welcome-file>
		<welcome-file>index.jsp</welcome-file>
		<welcome-file>default.html</welcome-file>
		<welcome-file>default.htm</welcome-file>
		<welcome-file>default.jsp</welcome-file>
	</welcome-file-list>

	<!-- Declaracao das tag libs utilizadas -->
	<jsp-config>
		<taglib>
			<taglib-uri>struts-bean</taglib-uri>
			<taglib-location>/WEB-INF/tld/struts-bean.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>struts-html</taglib-uri>
			<taglib-location>/WEB-INF/tld/struts-html.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>struts-logic</taglib-uri>
			<taglib-location>/WEB-INF/tld/struts-logic.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>c</taglib-uri>
			<taglib-location>/WEB-INF/tld/c.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>fmt</taglib-uri>
			<taglib-location>/WEB-INF/tld/fmt.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>bkp</taglib-uri>
			<taglib-location>/WEB-INF/tld/bkprice.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>struts-html-el</taglib-uri>
			<taglib-location>/WEB-INF/tld/struts-html-el.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>struts-bean-el</taglib-uri>
			<taglib-location>/WEB-INF/tld/struts-bean-el.tld</taglib-location>
		</taglib>
		<taglib>
			<taglib-uri>/WEB-INF/security.tld</taglib-uri>
			<taglib-location>/WEB-INF/security.tld</taglib-location>
		</taglib>
	</jsp-config>

</web-app>

